/*
 * Created on 14 mai 2006
 *
 */
package com.ibm.jps.uxtoweb.metamodel;

import java.util.List;

/**
 * @author Administrator
 */
public class ItemList {
    // List name (corresponds to the role name of the association between the owning element -
    // normally a JSP - and the <<list>> class). For example, a '<<screen>> CDCatalog' has a
    // composition to '<<list>> CDList'. CDList has a dependency on '<<bean>> Cd'. The role name
    // for the compositon is 'cds'. The name attribute of the ItemList is 'cds'.
    private String name;
    // Name of one row element in the list. Using the example above, rowName is equal to 'Cd'.
    private String rowName;
    // The list of fields to display in a single line of the list
    private List fields = null;

    /**
     *  
     */
    public ItemList() {
        super();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List getFields() {
        return fields;
    }

    public void setFields(List fields) {
        this.fields = fields;
    }

    public String getRowName() {
        return rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }
}
