/*
 * Created on Sep 14, 2005
 */
package com.ibm.jps.uxtoweb.metamodel;

/**
 * @author jpschoch
 */
public class Link {
    private String name;
    private String label;
    private String text;
    // The fully qualified name of the target-class for this link. Example of a fully qualified
    // name: 'MyModel::com.ibm.jps::test:MyClass'.
    private String targetJSPQualifiedName = null;
    private String target = "_self";

    /**
     *  
     */
    public Link() {
        super();
    }

    /**
     * @return Returns the desc.
     */
    public String getText() {
        return text;
    }

    /**
     * @param desc
     *            The desc to set.
     */
    public void setText(String desc) {
        this.text = desc;
    }

    /**
     * @return Returns the text.
     */
    public String getLabel() {
        return label;
    }

    /**
     * @param text
     *            The text to set.
     */
    public void setLabel(String label) {
        this.label = label;
    }

    /**
     * @return Returns the target.
     */
    public String getTarget() {
        return target;
    }

    /**
     * @param target
     *            The target to set.
     */
    public void setTarget(String target) {
        this.target = target;
    }

    public String getTargetJSPQualifiedName() {
        return targetJSPQualifiedName;
    }

    public void setTargetJSPQualifiedName(String uri) {
        this.targetJSPQualifiedName = uri;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
