/*
 * Created on Sep 18, 2005
 */
package com.ibm.jps.uxtoweb.utility;

import org.eclipse.uml2.uml.Association;
import org.eclipse.uml2.uml.Class;

/**
 * @author jpschoch
 */
public class AssociatedClass {
    private Class assocClass = null;
    private Association assoc = null;
    private String roleName = "";

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    /**
     * @param assocClass
     * @param assoc
     */
    public AssociatedClass(Class assocClass, Association assoc) {
        super();
        this.assocClass = assocClass;
        this.assoc = assoc;
    }

    /**
     * @param assocClass
     * @param assoc
     * @param roleName
     */
    public AssociatedClass(Class assocClass, Association assoc, String roleName) {
        super();
        this.assocClass = assocClass;
        this.assoc = assoc;
        this.roleName = roleName;
    }

    /**
     * @return Returns the assoc.
     */
    public Association getAssoc() {
        return assoc;
    }

    /**
     * @param assoc
     *            The assoc to set.
     */
    public void setAssoc(Association assoc) {
        this.assoc = assoc;
    }

    /**
     * @return Returns the assocClass.
     */
    public Class getAssocClass() {
        return assocClass;
    }

    /**
     * @param assocClass
     *            The assocClass to set.
     */
    public void setAssocClass(Class assocClass) {
        this.assocClass = assocClass;
    }
}
