/*
 * Created on Sep 16, 2005
 */
package com.ibm.jps.uxtoweb.metamodel;

import java.util.List;


/**
 * @author jpschoch
 */
public class AppData {
    private List beans = null;
    private Image logo = null;
    private List classes = null;
    private DataBase dataBase = null;
    /**
     * <code>actionMappings</code> contains the list of all possible user actions (like buttons).
     * It should be renamed to something like UserAction.
     */
    private List userActions = null;
    private String messageResources = null;
    /**
     * <code>jsps</code> is the list of all JSPs (<<screen>> classes) in the application.
     */
    private List appJSPs = null;
    
    public List getAppJSPs() {
        return appJSPs;
    }
    public void setAppJSPs(List jsps) {
        this.appJSPs = jsps;
    }
    /**
     * @return Returns the actionMappings.
     */
    public List getUserActions() {
        return userActions;
    }

    /**
     * @param actionMappings
     *            The actionMappings to set.
     */
    public void setUserActions(List actionMappings) {
        this.userActions = actionMappings;
    }

    /**
     * @return Returns the formBeans.
     */
    public List getBeans() {
        return beans;
    }

    /**
     * @param forms
     *            The formBeans to set.
     */
    public void setBeans(List forms) {
        this.beans = forms;
    }

    /**
     * @return Returns the messageResources.
     */
    public String getMessageResources() {
        return messageResources;
    }

    /**
     * @param messageResources
     *            The messageResources to set.
     */
    public void setMessageResources(String messageResources) {
        this.messageResources = messageResources;
    }
    public Image getLogo() {
        return logo;
    }
    public void setLogo(Image logo) {
        this.logo = logo;
    }
    public List getClasses() {
        return classes;
    }
    public void setClasses(List classes) {
        this.classes = classes;
    }
    public DataBase getDataBase() {
        return dataBase;
    }
    public void setDataBase(DataBase dataBase) {
        this.dataBase = dataBase;
    }
}
