/*
 * Created on Sep 16, 2005
 */
package com.ibm.jps.uxtoweb.metamodel;

/**
 * @author jpschoch
 */
public class Forward {
    // Name. For instance, "success", "failure".
    private String name = null;
    // Name of the target JSP. For instance, "/books.jsp".
    private String targetJSPName = null;
    
    /**
     * @param name
     * @param path
     */
    public Forward(String name, String path) {
        super();
        this.name = name;
        this.targetJSPName = path;
    }

    /**
     * @return Returns the name.
     */
    public String getName() {
        return name;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return Returns the path.
     */
    public String getTargetJSPName() {
        return targetJSPName;
    }
    /**
     * @param path The path to set.
     */
    public void setTargetJSPName(String path) {
        this.targetJSPName = path;
    }
}
