/*
 * Created on Feb 10, 2006
 *
 */
package com.ibm.jps.uxtoweb.metamodel;

/**
 * @author jpschoch
 */
public class TextField extends Field {

    /**
     * <code>max</code> is the maximum number of characters (input fields only).
     */
    private String max = null;
    /**
     * <code>min</code> is the maximum number of characters (input fields only).
     */
    private String min = null;
    /**
     * <code>required</code> is used only for input fields.
     */
    private boolean required = true;
    /**
     * <code>password</code> = true if input field is a password.
     */
    private boolean password = false;    
    
    /**
     * @param name
     * @param type
     */
    public TextField(String name, String type) {
        super(name, type);
    }

    public String getMax() {
        return max;
    }
    public void setMax(String max) {
        this.max = max;
    }
    public String getMin() {
        return min;
    }
    public void setMin(String min) {
        this.min = min;
    }
    public boolean isRequired() {
        return required;
    }
    public void setRequired(boolean required) {
        this.required = required;
    }
    public boolean isPassword() {
        return password;
    }
    public void setPassword(boolean password) {
        this.password = password;
    }
}
