/*
 * Created on Sep 16, 2005
 */
package com.ibm.jps.uxtoweb.metamodel;

import java.util.List;

/**
 * @author jpschoch
 */
public class UserAction {
    private String name = null;
    private String label = null;
    private String qualifiedName = null;
    private String scope = "request";
    private String jspName = null;
    private List forwards = null;
    private Bean bean = null;
    private Method method = null;
    private UserActionKind kind = UserActionKind.BUTTON;
    // A comma separated list of possible actions that will cause the UI component to be rendered. If blank, the
    // component is always visible
    private String visibleOnAction = "";
    
    public String getLabel() {
        return label;
    }
    public void setLabel(String label) {
        this.label = label;
    }
    /**
     * @param name
     */
    public UserAction() {
        super();
    }
    /**
     * @return Returns the forwards.
     */
    public List getForwards() {
        return forwards;
    }
    /**
     * @param forwards The forwards to set.
     */
    public void setForwards(List forwards) {
        this.forwards = forwards;
    }
    /**
     * @return Returns the input.
     */
    public String getJspName() {
        return jspName;
    }
    /**
     * @param input The input to set.
     */
    public void setJspName(String input) {
        this.jspName = input;
    }

    /**
     * @return Returns the path.
     */
    public String getName() {
        return name;
    }
    /**
     * @param path The path to set.
     */
    public void setName(String path) {
        this.name = path;
    }
    /**
     * @return Returns the scope.
     */
    public String getScope() {
        return scope;
    }
    /**
     * @param scope The scope to set.
     */
    public void setScope(String scope) {
        this.scope = scope;
    }
    /**
     * @return Returns the type.
     */
    public String getQualifiedName() {
        return qualifiedName;
    }
    /**
     * @param type The type to set.
     */
    public void setQualifiedName(String type) {
        this.qualifiedName = type;
    }
    public Bean getBean() {
        return bean;
    }
    public void setBean(Bean bean) {
        this.bean = bean;
    }
    public Method getMethod() {
        return method;
    }
    public void setMethod(Method method) {
        this.method = method;
    }
    public UserActionKind getKind() {
        return kind;
    }
    public void setKind(UserActionKind kind) {
        this.kind = kind;
    }
    public String getVisibleOnAction() {
        return visibleOnAction;
    }
    public void setVisibleOnAction(String visibleOnAction) {
        this.visibleOnAction = visibleOnAction;
    }
}
